[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.AllowAllUp

Indicates if all buttons in a group can have their Down property set to False.

## Declaration

Source position: comctrls.pp line 2197

`published property TToolButton.AllowAllUp : Boolean read FAllowAllUp write FAllowAllUp default False;`

## Description

AllowAllUp, when True, indicates that all buttons in a group are allowed to be 'Up' at the same time. The default value for the property is False, and indicates that one of the grouped buttons must have its Down property set to True.

## See also

TToolButton.Grouped |  | Indicates if the tool button is a member of a group. The default value is False.
TToolButton.Down |  | Indicates whether the button is in the "Down" state, i. e. has it been selected or clicked.